export declare class Person {
    id: string | null;
    name: string | null;
    age: number;
    emails: string[] | null;
    log: string[];
    parent: Person | null;
    private _parent;
    children: ReadonlyArray<Person>;
    private _children;
    constructor(init?: Partial<Person>);
    setParent(value: Person | null): void;
    appendChildren(children: ReadonlyArray<Person>): void;
}
