"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var vario_1 = require("../vario");
var Person = (function () {
    function Person(init) {
        this.id = null;
        this.name = null;
        this.age = 0;
        this.emails = null;
        this.log = [];
        this._parent = null;
        this._children = [];
        if (init)
            Object.assign(this, init);
    }
    Object.defineProperty(Person.prototype, "parent", {
        get: function () { return this._parent; },
        set: function (value) { this.setParent(value); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Person.prototype, "children", {
        get: function () { return this._children; },
        set: function (value) { this.appendChildren(value); },
        enumerable: true,
        configurable: true
    });
    Person.prototype.setParent = function (value) {
        var _this = this;
        if (this.parent !== value) {
            if (this.parent) {
                var a = this.parent._children;
                var i = a.findIndex(function (x, i) { return x === _this; });
                if (i >= 0)
                    a.splice(i, 1);
                else
                    throw new Error("invariant is broken, please restart the application");
            }
            if (value) {
                value._children.push(this);
                this._parent = value;
            }
            else
                this._parent = null;
        }
    };
    Person.prototype.appendChildren = function (children) {
        if (children)
            for (var _i = 0, children_1 = children; _i < children_1.length; _i++) {
                var x = children_1[_i];
                x.setParent(this);
            }
    };
    __decorate([
        vario_1.tran,
        __metadata("design:type", Object)
    ], Person.prototype, "id", void 0);
    __decorate([
        vario_1.tran,
        __metadata("design:type", Object)
    ], Person.prototype, "name", void 0);
    __decorate([
        vario_1.tran,
        __metadata("design:type", Number)
    ], Person.prototype, "age", void 0);
    __decorate([
        vario_1.tran,
        __metadata("design:type", Object)
    ], Person.prototype, "emails", void 0);
    __decorate([
        vario_1.tran,
        __metadata("design:type", Array)
    ], Person.prototype, "log", void 0);
    __decorate([
        vario_1.tran,
        __metadata("design:type", Object)
    ], Person.prototype, "_parent", void 0);
    __decorate([
        vario_1.tran,
        __metadata("design:type", Array)
    ], Person.prototype, "_children", void 0);
    __decorate([
        vario_1.tran,
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Object]),
        __metadata("design:returntype", void 0)
    ], Person.prototype, "setParent", null);
    __decorate([
        vario_1.tran,
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Object]),
        __metadata("design:returntype", void 0)
    ], Person.prototype, "appendChildren", null);
    return Person;
}());
exports.Person = Person;
//# sourceMappingURL=person.js.map